For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get swap status

get

Check the execution status of a swap using the unique deposit address from the quote response. This endpoint is a transparent proxy to the 1Click API.

Path parameters
apiKeystringRequired

API key generated at https://studio.aurora.dev

Query parameters
depositAddressstringRequired

Unique deposit address returned in the quote response for the swap whose status is requested.

Example: 0x76b4c56085ED136a8744D52bE956396624a730E8
depositMemostringOptional

Deposit memo. Required when the original quote response included a depositMemo.

Example: 1111111
Responses
200

Swap execution status retrieved successfully

application/json

Swap execution status retrieved successfully

correlationIdstringRequired

Unique identifier for request tracing and debugging.

Example: 550e8400-e29b-41d4-a716-446655440000
statusstring · enumRequired

Current execution status of the swap:

  • KNOWN_DEPOSIT_TX - a deposit transaction is known but not yet confirmed.

  • PENDING_DEPOSIT - waiting for the deposit to arrive at the deposit address.

  • INCOMPLETE_DEPOSIT - the deposit received is below the required amount.

  • PROCESSING - the deposit was received and the swap is being processed.

  • SUCCESS - the swap completed successfully.

  • REFUNDED - the deposit was refunded.

  • FAILED - the swap failed.

Example: SUCCESSPossible values:
updatedAtstringRequired

Timestamp in ISO format when the state was last updated.

Example: 2019-08-24T14:15:22Z
get
/api/status/{apiKey}

Last updated